Name:          laditools
Summary:       Set of tools to control and monitor LADI system
Version:       1.0.1
Release:       12%{?dist}
License:       GPLv3+
Group:         Applications/Multimedia
URL:           https://launchpad.net/%{name}/
Source0:       https://launchpad.net/%{name}/1.0/%{version}/+download/%{name}-%{version}.tar.bz2
# remove python shebangs
Patch0:        laditools-no-shebang.patch
BuildArch:     noarch

BuildRequires: /usr/bin/rsvg-convert
BuildRequires: python2-devel
BuildRequires: PyYAML
BuildRequires: intltool
BuildRequires: python-distutils-extra
BuildRequires: librsvg2
BuildRequires: hicolor-icon-theme
BuildRequires: desktop-file-utils
Requires:      a2jmidid
Requires:      jack-audio-connection-kit-dbus
Requires:      python-enum

%description
LADITools is a set of tools aiming to achieve the goals of the LADI 
project to improve desktop integration and user workflow of Linux 
audio system based on JACK and ladish. Those tools take advantage of 
the D-Bus interfaces recently added to JACK and ladish to ease the 
configuration and use of those two great softwares.

%prep
%setup -q -n laditools-1.0.1
%patch0 -p1
sed -i -e 's|gtk/a2j_menu.py|a2j.py|' po/POTFILES.in
sed -i -e 's|gtk/ladimenu.py|ladish.py|' po/POTFILES.in

%build

%install
python setup.py install --prefix=%{buildroot}%{_prefix}
%find_lang %{name}

for i in `ls %{buildroot}%{_datadir}/applications/*.desktop` ; do \
    desktop-file-validate $i;
done;


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database -q 

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database -q

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING README PKG-INFO
%{_bindir}/g15ladi
%{_bindir}/ladi-control-center
%{_bindir}/ladi-player
%{_bindir}/ladi-system-tray
%{_bindir}/ladi-system-log
%{_bindir}/wmladi
%{python_sitelib}/laditools
%{python_sitelib}/laditools-1.0.1-py%{python_version}.egg-info
%{_datadir}/applications/ladi-system-tray.desktop
%{_datadir}/applications/ladi-control-center.desktop
%{_datadir}/applications/ladi-system-log.desktop
%{_datadir}/applications/ladi-player.desktop
%{_datadir}/laditools/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*
%{_mandir}/man1/%{name}.1.*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.0.1-8
- Add BR: /usr/bin/rsvg-convert (Fix FTBFS RHBZ #992030).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-5
- Correct license 

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-4
- Add python build requires

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-3
- Add mising desktop-file-utils and python-enum

* Sun Jun 03 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-2
- Add requires and scriptlets

* Sat Jun 02 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-1
- initial build
